## dzl-fuzzy-index dzl-fuzzy-index |

## Functions

DzlFuzzyIndex * | dzl_fuzzy_index_new ()
gboolean | dzl_fuzzy_index_load_file ()
void | dzl_fuzzy_index_load_file_async ()
gboolean | dzl_fuzzy_index_load_file_finish ()
void | dzl_fuzzy_index_query_async ()
GListModel * | dzl_fuzzy_index_query_finish ()
GVariant * | dzl_fuzzy_index_get_metadata ()
guint32 | dzl_fuzzy_index_get_metadata_uint32 ()
guint64 | dzl_fuzzy_index_get_metadata_uint64 ()
const gchar * | dzl_fuzzy_index_get_metadata_string ()

## Types and Values

#define | DZL_TYPE_FUZZY_INDEX
| DzlFuzzyIndex

## Object Hierarchy

        GObject
        ╰── DzlFuzzyIndex

## Description

## Functions

### dzl_fuzzy_index_new ()

    DzlFuzzyIndex *
    dzl_fuzzy_index_new (void);

### dzl_fuzzy_index_load_file ()

    gboolean
    dzl_fuzzy_index_load_file (DzlFuzzyIndex *self,
                               GFile *file,
                               GCancellable *cancellable,
                               GError **error);

### dzl_fuzzy_index_load_file_async ()

    void
    dzl_fuzzy_index_load_file_async (DzlFuzzyIndex *self,
                                     GFile *file,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

### dzl_fuzzy_index_load_file_finish ()

    gboolean
    dzl_fuzzy_index_load_file_finish (DzlFuzzyIndex *self,
                                      GAsyncResult *result,
                                      GError **error);

### dzl_fuzzy_index_query_async ()

    void
    dzl_fuzzy_index_query_async (DzlFuzzyIndex *self,
                                 const gchar *query,
                                 guint max_matches,
                                 GCancellable *cancellable,
                                 GAsyncReadyCallback callback,
                                 gpointer user_data);

### dzl_fuzzy_index_query_finish ()

    GListModel *
    dzl_fuzzy_index_query_finish (DzlFuzzyIndex *self,
                                  GAsyncResult *result,
                                  GError **error);

Completes an asynchronous request to `dzl_fuzzy_index_query_async()`.

#### Returns

A GListModel of results.

[transfer full]

### dzl_fuzzy_index_get_metadata ()

    GVariant *
    dzl_fuzzy_index_get_metadata (DzlFuzzyIndex *self,
                                  const gchar *key);

Looks up the metadata for `key` .

#### Returns

A GVariant or `NULL`.

[transfer full][nullable]

### dzl_fuzzy_index_get_metadata_uint32 ()

    guint32
    dzl_fuzzy_index_get_metadata_uint32 (DzlFuzzyIndex *self,
                                         const gchar *key);

### dzl_fuzzy_index_get_metadata_uint64 ()

    guint64
    dzl_fuzzy_index_get_metadata_uint64 (DzlFuzzyIndex *self,
                                         const gchar *key);

### dzl_fuzzy_index_get_metadata_string ()

    const gchar *
    dzl_fuzzy_index_get_metadata_string (DzlFuzzyIndex *self,
                                         const gchar *key);

## Types and Values

### DZL_TYPE_FUZZY_INDEX

    #define DZL_TYPE_FUZZY_INDEX (dzl_fuzzy_index_get_type())

### DzlFuzzyIndex

    typedef struct _DzlFuzzyIndex DzlFuzzyIndex;